Bug 62935 - Error dialog about filesystems in fstab in inconsistent state when upgrading
Summary: Error dialog about filesystems in fstab in inconsistent state when upgrading
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-08 01:24 UTC by Reid Rivenburgh
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:48:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Reid Rivenburgh 2002-04-08 01:24:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9+) Gecko/20020404

Description of problem:
I tried upgrading my current 7.2-ish system with skipjack beta 2.  After
selecting a custom install of packages, I got an error dialog telling me that
one or more of the filesystems in my /etc/fstab was inconsistent and that I
should rectify the problem before trying again.  I then rebooted and ran e2fsck
on each filesystem, just in case.  Same thing happens, though.

Immediately before the error, I got another dialog warning about a partition not
being aligned or something like that, but it said that could safely be ignored.
 I don't know if it's related.

I hope this isn't just some stupidity on my part; as far as I can see, my fstab
is okay.  I do have a hodge-podge of upgraded RPMs installed from rawhide, so
who knows....


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to upgrade, selecting custom packages.
	

Additional info:

Here is the fstab on the system, if it helps:

# <device>      <mountpoint>    <filesystemtype><options>  <dump> <fsckorder>
#LABEL=/                 /                       auto    defaults        1 1
/dev/hda3               /                       auto    defaults        1 1
#LABEL=/boot             /boot                   ext2    defaults        1 2
/dev/hda1               /boot                   auto    defaults        1 1
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hda2               none                    swap    defaults        0 0
/dev/hdb1               none                    swap    defaults        0 0

% fdisk -l

Disk /dev/hda: 255 heads, 63 sectors, 3737 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1             1         3     24066   83  Linux
/dev/hda2             4        69    530145   82  Linux swap
/dev/hda3            70      3737  29463210   83  Linux

Disk /dev/hdb: 255 heads, 63 sectors, 4111 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hdb1             1        98    786712+  82  Linux swap
Partition 1 does not end on cylinder boundary:
     phys=(1023, 15, 63) should be (1023, 254, 63)
/dev/hdb2            98      9730  77364000   83  Linux
Partition 2 does not end on cylinder boundary:
     phys=(1023, 15, 63) should be (1023, 254, 63)

% rpm -q mount util-linux
mount-2.11g-5
util-linux-2.11f-17

Comment 1 Jeremy Katz 2002-04-08 03:28:27 UTC
If you switch over to tty3, you should see which filesystem it is which is
inconsistent.  You can then pop over to tty2 and run e2fsck directly to verify
that it thinks they're dirty then.  If they're not, we'll go from there :)

If it is dirty, then something in your shutdown process isn't letting you
unmount cleanly

Comment 2 Reid Rivenburgh 2002-04-09 03:02:02 UTC
Thanks for the followup, katzj.  This machine is my main workstation/little
server, so I probably won't get another chance to try this again for a week or
two.  I'll post again if the filesystems aren't inconsistent though it thinks
they are.


Comment 3 Michael Fulbright 2002-04-10 20:29:39 UTC
Yes please let us know if you have any more information.

Comment 4 Michael Fulbright 2002-05-06 18:27:41 UTC
Closing due to inactivity. Please reopen if there is new information regarding
the issue report.

Comment 5 Red Hat Bugzilla 2006-02-21 18:48:41 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.